xMLcompare | R Documentation

## Function to visualise cross-validation performance against tuning parameters

### Description

`xMLcompare` is supposed to visualise cross-validation performance against tuning parameters.

### Usage

    xMLcompare(list_ML, metric = c("ROC", "Sens", "Spec"), xlab = NA,
    xlimits = c(0.5, 1), font.family = "sans")

### Arguments

`list_ML` | a list of class "train" or "train.formula" objects (resulting from caret::train)
`metric` | the performance metric to plot. It can be one of 'ROC', 'Sens' (Sensitivity) and 'Spec' (Specificity)
`xlab` | a title for the x axis
`xlimits` | the limit for the x axis
`font.family` | the font family for texts

### Value

an object of class "ggplot"

### Note

none

### See Also

`xMLcompare`

### Examples

    ## Not run:
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    gp <- xMLcompare(ls_ML, xlimits=c(0.5,1))

    ## End(Not run)